Page MenuHomePhabricator

Set $namespaceGenderAliases for catalan
Closed, ResolvedPublic

Description

Propose to set:

$namespaceGenderAliases = array(
	NS_USER => array( 'male' => 'Usuari', 'female' => 'Usuària' ),
	NS_USER_TALK => array( 'male' => 'Usuari_Discussió', 'female' => 'Usuària_Discussió' ),
);

in mediawiki core, and remove:

'+cawiki' => array(
		'Usuària' => NS_USER,
		'Usuària_discussió' => NS_USER_TALK,
	),

from Init. Settings as unneeded.

Please also verify whether you want Discussió or discussió.

Event Timeline

MarcoAurelio claimed this task.
MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 3:27 PM
MarcoAurelio triaged this task as Low priority.Sep 24 2015, 3:27 PM

All talk namespaces in Catalan have Discussió with uppercase. Some time ago there was consensus to change it to lowecase, but it was not clear what implications this change may have. Anyway, the name for male and female should be consistent.

All talk namespaces in Catalan have Discussió with uppercase. Some time ago there was consensus to change it to lowecase, but it was not clear what implications this change may have. Anyway, the name for male and female should be consistent.

Thanks for commenting. I see that in mediawiki core, all talk namespaces are capitalized. If you think it's ok, I can submit the change with Discussió capitalized and you can decide later if you wish them in lowercase? Gràcies.

It is ok for me.

Change 241530 had a related patch set uploaded (by MarcoAurelio):
Add $namespaceGenderAliases for catalan language

https://gerrit.wikimedia.org/r/241530

Change 241530 merged by jenkins-bot:
Add $namespaceGenderAliases for catalan language

https://gerrit.wikimedia.org/r/241530

MarcoAurelio closed this task as Resolved.Sep 28 2015, 7:03 AM

Change 429989 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] cawiki: remove gendered namespace aliases, already on MW core

https://gerrit.wikimedia.org/r/429989

Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptApr 30 2018, 10:01 PM

Patch above removes the custom config from InitialiseSettings since this is now there on MediaWiki core. It should be a no-op and non-noticeable change on-wiki. Notwithstanding, namespacesDupes.php will be asked to be ran in order to ensure we leave no conflicts.

Change 429989 merged by jenkins-bot:
[operations/mediawiki-config@master] cawiki: remove gendered namespace aliases, already on MW core

https://gerrit.wikimedia.org/r/429989

Mentioned in SAL (#wikimedia-operations) [2018-05-10T13:15:53Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:429989|cawiki: remove gendered namespace aliases, already on MW core (T113616)]] (duration: 01m 20s)

zfilipin@terbium:~$ mwscript namespaceDupes.php cawiki
0 pages to fix, 0 were resolvable.

pagelinks from=127678 ns=0 dbk=Imatge:Crystal_Clear_app_ktip.png -> Fitxer:Crystal_Clear_app_ktip.png DRY RUN
pagelinks from=413018 ns=0 dbk=Imatge:Crystal_Clear_app_ktip.png -> Fitxer:Crystal_Clear_app_ktip.png DRY RUN
pagelinks from=413543 ns=0 dbk=Imatge:Crystal_Clear_app_ktip.png -> Fitxer:Crystal_Clear_app_ktip.png DRY RUN
pagelinks from=127678 ns=0 dbk=Imatge:Emoticon_smile.svg -> Fitxer:Emoticon_smile.svg DRY RUN
pagelinks from=413018 ns=0 dbk=Imatge:Emoticon_smile.svg -> Fitxer:Emoticon_smile.svg DRY RUN
pagelinks from=413543 ns=0 dbk=Imatge:Emoticon_smile.svg -> Fitxer:Emoticon_smile.svg DRY RUN
pagelinks from=1018352 ns=0 dbk=Imatge:Nuvola_apps_kontact.png -> Fitxer:Nuvola_apps_kontact.png DRY RUN
pagelinks from=127678 ns=0 dbk=Imatge:Tongue.png -> Fitxer:Tongue.png DRY RUN
8 links to fix, 8 were resolvable.

Looks good!
zeljkofilipin added a comment.EditedMay 10 2018, 1:21 PM
zfilipin@terbium:~$ mwscript namespaceDupes.php cawiki --fix
0 pages to fix, 0 were resolvable.

pagelinks from=127678 ns=0 dbk=Imatge:Crystal_Clear_app_ktip.png -> Fitxer:Crystal_Clear_app_ktip.png
pagelinks from=413018 ns=0 dbk=Imatge:Crystal_Clear_app_ktip.png -> Fitxer:Crystal_Clear_app_ktip.png
pagelinks from=413543 ns=0 dbk=Imatge:Crystal_Clear_app_ktip.png -> Fitxer:Crystal_Clear_app_ktip.png
pagelinks from=127678 ns=0 dbk=Imatge:Emoticon_smile.svg -> Fitxer:Emoticon_smile.svg
pagelinks from=413018 ns=0 dbk=Imatge:Emoticon_smile.svg -> Fitxer:Emoticon_smile.svg
pagelinks from=413543 ns=0 dbk=Imatge:Emoticon_smile.svg -> Fitxer:Emoticon_smile.svg
pagelinks from=1018352 ns=0 dbk=Imatge:Nuvola_apps_kontact.png -> Fitxer:Nuvola_apps_kontact.png
pagelinks from=127678 ns=0 dbk=Imatge:Tongue.png -> Fitxer:Tongue.png
8 links to fix, 8 were resolvable.

Looks good!